package app

import (
	v1 "git.echol.cn/loser/ai_proxy/server/api/v1"
	"github.com/gin-gonic/gin"
)

type AiPresetRouter struct{}

func (s *AiPresetRouter) InitAiPresetRouter(Router *gin.RouterGroup) {
	aiPresetRouter := Router.Group("aiPreset")
	aiPresetApi := v1.ApiGroupApp.AppApiGroup.AiPresetApi
	{
		aiPresetRouter.POST("createAiPreset", aiPresetApi.CreateAiPreset)
		aiPresetRouter.DELETE("deleteAiPreset", aiPresetApi.DeleteAiPreset)
		aiPresetRouter.PUT("updateAiPreset", aiPresetApi.UpdateAiPreset)
		aiPresetRouter.GET("findAiPreset", aiPresetApi.FindAiPreset)
		aiPresetRouter.GET("getAiPresetList", aiPresetApi.GetAiPresetList)
		aiPresetRouter.POST("importAiPreset", aiPresetApi.ImportAiPreset)         // JSON粘贴导入
		aiPresetRouter.POST("importAiPresetFile", aiPresetApi.ImportAiPresetFile) // 文件上传导入
	}
}
